#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE1,0x04,0xA8,0xB6,0xE7,0x2A,0x04,0x72,0x57,0xFF,0xF8,0xC0,
		0x73,0xE5,0xC6,0xD2,0xAF,0x7D,0x36,0x45,0x4B,0x07,0x61,0x12,
		0x7C,0x67,0xC2,0x92,0xE4,0x60,0xE6,0xCE,0x05,0x2F,0x10,0xB1,
		0xD2,0x0A,0xC6,0xD8,0x56,0x4C,0x14,0xD9,0x7F,0x2E,0x89,0x02,
		0x5D,0x41,0xB3,0x92,0x81,0x1C,0xA9,0x2E,0x7F,0x83,0x87,0x35,
		0xE8,0x0C,0x2E,0x6B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
